Author Topic: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0, 5.1  (Read 21983 times)

julio

  • Guest
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #90 on: October 30, 2017, 01:08:38 pm »
no, because the zentyal-radius conception LDAP based...
« Last Edit: October 30, 2017, 08:09:22 pm by julio »

JLLEWELYN

  • Zen Monk
  • **
  • Posts: 58
  • Karma: +4/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #91 on: January 10, 2018, 02:04:25 am »
hello, do you have any guidelines to configure MySQL + freeradius mode EAP TTLS + PAP and the hostapd for a TL-WDN4800 adapter?

julio

  • Guest
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #92 on: January 10, 2018, 09:02:09 am »
hello, do you have any guidelines to configure MySQL + freeradius mode EAP TTLS + PAP and the hostapd for a TL-WDN4800 adapter?
no i do not have...

desperados

  • Zen Monk
  • **
  • Posts: 60
  • Karma: +2/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #93 on: February 06, 2018, 12:05:29 pm »
i've zentyal 4.2, configured in april 2017
all ok since a couple of weeks ago
now radius doesn't work any more, maybe i need some fix for recent zentyal updates ?

EDIT: tried to reinstall module, i cant any more....
1st, i think there is an error, you wrote:
Quote
sudo apt-get install -y ./zentyal-radius_4.0_all.deb
but the package is 4.2

and then this is the error (final part, it's very long):
Quote
E: Release "zentyal-radius_4.2_all.deb" per "python-sievelib" not found.
E: Release "zentyal-radius_4.2_all.deb" per "python-spyne" not found.
E: Release "zentyal-radius_4.2_all.deb" per "python2.7-rpclib" not found.
E: Release "zentyal-radius_4.2_all.deb" per "python2.7-spyne" not found.
E: Release "zentyal-radius_4.2_all.deb" per "sogo-activesync" not found.
E: Release "zentyal-radius_4.2_all.deb" per "z-push" not found.
E: Release "zentyal-radius_4.2_all.deb" per "sogo-dev" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zenbuntu-core" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zenbuntu-desktop" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-software" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-all" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-openchange" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-mail" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-antivirus" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-mailfilter" not found.
E: Release "zentyal-radius_4.2_all.deb" per "dovecot-openchange-plugin" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zoctools-dbg" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zoctools" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zsupporttools" not found.

« Last Edit: February 06, 2018, 12:15:13 pm by desperados »

julio

  • Guest
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #94 on: February 06, 2018, 12:27:10 pm »
i've zentyal 4.2, configured in april 2017
all ok since a couple of weeks ago
now radius doesn't work any more, maybe i need some fix for recent zentyal updates ?

EDIT: tried to reinstall module, i cant any more....
1st, i think there is an error, you wrote:
Quote
sudo apt-get install -y ./zentyal-radius_4.0_all.deb
but the package is 4.2

and then this is the error (final part, it's very long):
Quote
E: Release "zentyal-radius_4.2_all.deb" per "python-sievelib" not found.
E: Release "zentyal-radius_4.2_all.deb" per "python-spyne" not found.
E: Release "zentyal-radius_4.2_all.deb" per "python2.7-rpclib" not found.
E: Release "zentyal-radius_4.2_all.deb" per "python2.7-spyne" not found.
E: Release "zentyal-radius_4.2_all.deb" per "sogo-activesync" not found.
E: Release "zentyal-radius_4.2_all.deb" per "z-push" not found.
E: Release "zentyal-radius_4.2_all.deb" per "sogo-dev" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zenbuntu-core" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zenbuntu-desktop" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-software" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-all" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-openchange" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-mail" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-antivirus" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zentyal-mailfilter" not found.
E: Release "zentyal-radius_4.2_all.deb" per "dovecot-openchange-plugin" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zoctools-dbg" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zoctools" not found.
E: Release "zentyal-radius_4.2_all.deb" per "zsupporttools" not found.

yes it is 4.2, modified...

desperados

  • Zen Monk
  • **
  • Posts: 60
  • Karma: +2/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #95 on: February 06, 2018, 02:31:01 pm »
ok i renamed but i've those errors when trying to install
it seems some packages/dependencies are missing

julio

  • Guest
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #96 on: February 06, 2018, 02:39:12 pm »
try with:
Code: [Select]
cd /tmp
sudo dpkg -i zentyal-radius_4.2_all.deb
sudo apt-get install -f -y
sudo service zentyal webadmin restart

desperados

  • Zen Monk
  • **
  • Posts: 60
  • Karma: +2/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #97 on: February 07, 2018, 09:36:07 am »
I've removed all and tried to reinstall all, and i've problem with package freeradius-ldap: (in italian, sorry)

Quote
(Lettura del database... 67416 file e directory attualmente installati.)
Preparing to unpack freeradius-ldap_2.1.12+dfsg-1.2ubuntu8.2_amd64.deb ...
Unpacking freeradius-ldap (2.1.12+dfsg-1.2ubuntu8.2) over (2.1.12+dfsg-1.2ubuntu8.2) ...
Configurazione di freeradius-ldap (2.1.12+dfsg-1.2ubuntu8.2)...
reload: Unknown instance:
invoke-rc.d: initscript freeradius, action "force-reload" failed.
dpkg: error processing package freeradius-ldap (--install):
 il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
 freeradius-ldap

EDIT: fixed, as wrote here https://askubuntu.com/questions/507040/invoke-rc-d-initscript-freeradius-action-force-reload-failed-while-config I edited /var/lib/dpkg/info/freeradius-ldap.postinst and it works! thanks
« Last Edit: February 07, 2018, 09:45:38 am by desperados »

ovecka

  • Zen Apprentice
  • *
  • Posts: 11
  • Karma: +1/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #98 on: March 24, 2018, 08:08:36 am »
Hi, can you add 5.1 patch, please? The old 5.0 patch isn't usabe due to 5.0 zentyal-core dependency.

EDIT: Guess it was as easy as editing the patch file by changing all the 5.0 mentions to 5.1 and changing the dependency from <<5.1 to <<5.2. All the bash commands need to change accordingly of course.

It installs correctly. Let's hope it works too.

EDIT 2: Well, it does.

Here's the file for those lazy ones. Use it to your liking: https://drive.google.com/file/d/1zXYnpABblfWwnWv5r8ip6LBuR87p5dxv

and don't forget to change this part of the original guide:
Quote
wget 'https://drive.google.com/file/d/1zXYnpABblfWwnWv5r8ip6LBuR87p5dxv' -O zentyal-radius-5.1.patch
patch -t -p1 -i zentyal-radius-5.1.patch
cd zentyal-radius-5.1
.
.
sudo apt install -y ./zentyal-radius_5.1_all.deb

« Last Edit: March 24, 2018, 10:02:59 am by ovecka »

julio

  • Guest
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0
« Reply #99 on: April 09, 2018, 02:58:59 pm »
Hi, can you add 5.1 patch, please? The old 5.0 patch isn't usabe due to 5.0 zentyal-core dependency.

EDIT: Guess it was as easy as editing the patch file by changing all the 5.0 mentions to 5.1 and changing the dependency from <<5.1 to <<5.2. All the bash commands need to change accordingly of course.

It installs correctly. Let's hope it works too.

EDIT 2: Well, it does.

Here's the file for those lazy ones. Use it to your liking: https://drive.google.com/file/d/1zXYnpABblfWwnWv5r8ip6LBuR87p5dxv

and don't forget to change this part of the original guide:
Quote
wget 'https://drive.google.com/file/d/1zXYnpABblfWwnWv5r8ip6LBuR87p5dxv' -O zentyal-radius-5.1.patch
patch -t -p1 -i zentyal-radius-5.1.patch
cd zentyal-radius-5.1
.
.
sudo apt install -y ./zentyal-radius_5.1_all.deb

added to instructions...

sagal74

  • Zen Apprentice
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Can anyone help me?

Error: TLS Alert read:fatal:unknown CA
Error:     TLS_accept: failed in unknown state
Error: rlm_eap: SSL error error:14094418:SSL routines:ssl3_read_bytes:tlsv1 alert unknown ca
Error: SSL: SSL_read failed inside of TLS (-1), TLS session fails.
Auth: Login incorrect (TLS Alert read:fatal:unknown CA):

rcdominguez

  • Zen Apprentice
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0, 5.1
« Reply #101 on: September 04, 2018, 11:19:45 pm »
interesting post I have znetyal 5.1 installed, I followed the steps and everything went well,
which I notice something curious when I compile zentyal-radius-5.1 I created a .deb
with the name of zentyal-radius_5.0_all.deb and not 5.1 as it says in the steps to follow, would
sudo apt install -y ./zentyal-radius_5.0_all.deb.
I only make the clarification so that it is known and it does not hinder the installation,
as I said so and everything works wonders. Thank you very much Julio

when you have problems with the dependencies when installing
sudo apt install -y ./zentyal-radius_X.X_all.deb
simply sudo dpkg --configure -a
install the dependencies and solve
« Last Edit: September 04, 2018, 11:29:40 pm by rcdominguez »

julio

  • Guest
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0, 5.1
« Reply #102 on: September 05, 2018, 10:24:54 pm »
interesting post I have znetyal 5.1 installed, I followed the steps and everything went well,
which I notice something curious when I compile zentyal-radius-5.1 I created a .deb
with the name of zentyal-radius_5.0_all.deb and not 5.1 as it says in the steps to follow, would
sudo apt install -y ./zentyal-radius_5.0_all.deb.
I only make the clarification so that it is known and it does not hinder the installation,
as I said so and everything works wonders. Thank you very much Julio

when you have problems with the dependencies when installing
sudo apt install -y ./zentyal-radius_X.X_all.deb
simply sudo dpkg --configure -a
install the dependencies and solve

thanks for the hint, corrected...

desperados

  • Zen Monk
  • **
  • Posts: 60
  • Karma: +2/-0
    • View Profile
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0, 5.1
« Reply #103 on: October 13, 2018, 05:36:54 pm »
zentyal 4.2
sometimes freeradius stops, in logs i found: "Info: Signalled to terminate"
so I've found in /etc/logrotate.d/freeradius the command
Quote
invoke-rc.d freeradius reload >/dev/null 2>&1 || true
I change reload with restart, I'll check next days if it works

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
Re: HowTo: add radius module with mschap support to zentyal 4.0, 4.2, 5.0, 5.1
« Reply #104 on: October 30, 2018, 01:22:27 am »
We've just released Zentyal 6.0 with zentyal-radius included in the official repository, integrating FreeRADIUS 3.0 on Ubuntu 18.04.

Many thanks to julio for all the patches on the previous versions!!
Zentyal Server Lead Developer